select
    mae.numero as mae,
    pai.numero as pai,
    pai.regassocraca as rgd_pai,
    an.numero as cria,
    an.dtnascimento as data_nascimento,
    an.dtdesmama as data_desmama,
    pedes.peso as peso_desmama,
    (select resultado from sp_peso205(an.cdanimal)) as peso_corrigido_205,
    se.nome as setor
from
    animal an
    join animal mae on mae.cdanimal = an.cdmae
    join animal pai on pai.cdanimal = an.cdpai
    left join peso pedes on pedes.cdpeso =
            (select re.cdpeso from peso re where re.cdanimal = an.cdanimal and re.cdtipopeso = 3)
    left join setor se on se.cdsetor = an.cdsetor
where
    an.dtnascimento between '2009-01-01' and '2010-09-22' and an.dtdesmama is not null
order by
    mae.numero